Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » [2.6.3 to 2.7.1] Using eclipse application is broken
[2.6.3 to 2.7.1] Using eclipse application is broken [message #1420736] Wed, 10 September 2014 11:46 Go to next message
Gerriet Reents is currently offline Gerriet ReentsFriend
Messages: 3
Registered: September 2014
Junior Member
Hello!

I've upgraded from Xtext 2.6.3 to 2.7.1. When I try to edit my dsl files in a normal eclipse application, I get errors like this:

An internal error occurred during: "XtextReconcilerJob".
java.lang.IllegalStateException: Unresolved proxy http://]<my grammar>/Idl#//include_decl. Make sure the EPackage has been registered.


include_decl is an import statement, but the error occurs with every grammar rule, as far as i could try.

With 2.6.3 everything was fine. I haved used a fresh workspace.

Are there any steps i missed while upgrading to the new Xtext version?

Regards
Gerriet

[Updated on: Wed, 10 September 2014 12:11]

Report message to a moderator

Re: [2.6.3 to 2.7.1] Using eclipse application is broken [message #1420756 is a reply to message #1420736] Wed, 10 September 2014 12:30 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 13280
Registered: July 2009
Senior Member
Hi,

does not seem to be update related.
are you sure the epackage registration is contained in a plugin.xml (with correct path) and you dont have any warnings on build.properties?

maybe there is a plugin.xml_gen that has to be merged to plugin,xml


Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/xtext/
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de

[Updated on: Wed, 10 September 2014 12:31]

Report message to a moderator

Re: [2.6.3 to 2.7.1] Using eclipse application is broken [message #1420766 is a reply to message #1420756] Wed, 10 September 2014 12:54 Go to previous messageGo to next message
Gerriet Reents is currently offline Gerriet ReentsFriend
Messages: 3
Registered: September 2014
Junior Member
Thank you for your response!

I've investigated my plugin.xml and found that there was a wrong URI indeed. It was a left over from a rename refactoring a few weeks ago. Somehow! with 2.6.3 it does not made any problems?

But now i get the following error when generating from my dsl:

java.lang.TypeNotPresentException: Type org.eclipse.xtext.xbase.scoping.batch.ImplicitlyImportedTypes not present
	at sun.reflect.generics.factory.CoreReflectionFactory.makeNamedType(Unknown Source)
	at sun.reflect.generics.visitor.Reifier.visitClassTypeSignature(Unknown Source)
	at sun.reflect.generics.tree.ClassTypeSignature.accept(Unknown Source)
	at sun.reflect.generics.reflectiveObjects.WildcardTypeImpl.getUpperBounds(Unknown Source)
	at org.eclipse.xtext.service.MethodBasedModule.getFirstTypeParameter(MethodBasedModule.java:106)
	at org.eclipse.xtext.service.MethodBasedModule.getKeyType(MethodBasedModule.java:97)
	at org.eclipse.xtext.service.MethodBasedModule.configure(MethodBasedModule.java:47)
	at org.eclipse.xtext.service.CompoundModule.configure(CompoundModule.java:34)
	at org.eclipse.xtext.service.AbstractGenericModule.configure(AbstractGenericModule.java:32)
	at org.eclipse.xtext.service.DefaultRuntimeModule.configure(DefaultRuntimeModule.java:75)
	at org.eclipse.emf.ecore.xcore.AbstractXcoreRuntimeModule.configure(AbstractXcoreRuntimeModule.java:25)
	at com.google.inject.spi.Elements$RecordingBinder.install(Elements.java:223)
	at com.google.inject.spi.Elements.getElements(Elements.java:101)
	at com.google.inject.spi.Elements.getElements(Elements.java:92)
	at com.google.inject.util.Modules$RealOverriddenModuleBuilder$1.configure(Modules.java:152)
	at com.google.inject.AbstractModule.configure(AbstractModule.java:59)
	at com.google.inject.spi.Elements$RecordingBinder.install(Elements.java:223)
	at com.google.inject.spi.Elements.getElements(Elements.java:101)
	at com.google.inject.spi.Elements.getElements(Elements.java:92)
	at com.google.inject.util.Modules$RealOverriddenModuleBuilder$1.configure(Modules.java:152)
	at com.google.inject.AbstractModule.configure(AbstractModule.java:59)
	at com.google.inject.spi.Elements$RecordingBinder.install(Elements.java:223)
	at com.google.inject.spi.Elements.getElements(Elements.java:101)
	at com.google.inject.internal.InjectorShell$Builder.build(InjectorShell.java:133)
	at com.google.inject.internal.InternalInjectorCreator.build(InternalInjectorCreator.java:103)
	at com.google.inject.Guice.createInjector(Guice.java:95)
	at com.google.inject.Guice.createInjector(Guice.java:72)
	at com.google.inject.Guice.createInjector(Guice.java:62)
	at org.eclipse.emf.ecore.xcore.ui.internal.XcoreActivator.createInjector(XcoreActivator.java:67)
	at org.eclipse.emf.ecore.xcore.ui.internal.XcoreActivator.getInjector(XcoreActivator.java:55)
	at org.eclipse.emf.ecore.xcore.ui.XcoreExecutableExtensionFactory.getInjector(XcoreExecutableExtensionFactory.java:26)
	at org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory.create(AbstractGuiceAwareExecutableExtensionFactory.java:49)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:262)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.xtext.builder.impl.RegistryBuilderParticipant$DeferredBuilderParticipant.initDelegate(RegistryBuilderParticipant.java:179)
	at org.eclipse.xtext.builder.impl.RegistryBuilderParticipant$DeferredBuilderParticipant.getDelegate(RegistryBuilderParticipant.java:170)
	at org.eclipse.xtext.builder.impl.RegistryBuilderParticipant$DeferredBuilderParticipant.getDelegate(RegistryBuilderParticipant.java:165)
	at org.eclipse.xtext.builder.impl.RegistryBuilderParticipant$DeferredBuilderParticipant.build(RegistryBuilderParticipant.java:158)
	at org.eclipse.xtext.builder.impl.RegistryBuilderParticipant.build(RegistryBuilderParticipant.java:68)
	at org.eclipse.xtext.builder.impl.XtextBuilder.doBuild(XtextBuilder.java:196)
	at org.eclipse.xtext.builder.impl.XtextBuilder.incrementalBuild(XtextBuilder.java:171)
	at org.eclipse.xtext.builder.impl.XtextBuilder.build(XtextBuilder.java:99)
	at org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:734)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:206)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:246)
	at org.eclipse.core.internal.events.BuildManager$1.run(BuildManager.java:299)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:302)
	at org.eclipse.core.internal.events.BuildManager.basicBuildLoop(BuildManager.java:358)
	at org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:381)
	at org.eclipse.core.internal.events.AutoBuildJob.doBuild(AutoBuildJob.java:143)
	at org.eclipse.core.internal.events.AutoBuildJob.run(AutoBuildJob.java:241)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
Caused by: java.lang.ClassNotFoundException: org.eclipse.xtext.xbase.scoping.batch.ImplicitlyImportedTypes cannot be found by org.eclipse.emf.ecore.xcore_1.2.0.v20140521-0402
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:336)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:328)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:160)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Unknown Source)
	... 54 more


Seems that there are dependency problems. My eclipse is a current Luna release.

In version 2.7.1 the missing class seems to be renamed to
org.eclipse.xtext.xbase.scoping.batch.ImplicitlyImportedFeatures


Do I need to update something?

Regards
Gerriet

[Updated on: Wed, 10 September 2014 13:12]

Report message to a moderator

Re: [2.6.3 to 2.7.1] Using eclipse application is broken [message #1420802 is a reply to message #1420766] Wed, 10 September 2014 13:52 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 13280
Registered: July 2009
Senior Member
maybe xtext and xcore version dont fit together https://www.eclipse.org/forums/index.php/t/805655/

Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/xtext/
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: [2.6.3 to 2.7.1] Using eclipse application is broken [message #1420821 is a reply to message #1420802] Wed, 10 September 2014 14:22 Go to previous message
Gerriet Reents is currently offline Gerriet ReentsFriend
Messages: 3
Registered: September 2014
Junior Member
Thanks for the link!

With Xcore 1.3 everything is fine again!

Regards
Gerriet
Previous Topic:Inconsistent formatting observed in using Xtext formatter
Next Topic:Validation problem
Goto Forum:
  


Current Time: Mon Dec 16 01:55:22 GMT 2019

Powered by FUDForum. Page generated in 0.02425 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top